#include <DDS1.h>

static  double Fdiv;		// frequency resolution of one bit

//===========================================================================
void DDS1_Start( double Fclock )
{
	DDS1_ControlStrobe_Write(0);	// ensure strobe to inactive
	
	DDS1_ControlPhase1_Write(0);	// clear phase
	DDS1_ControlPhase2_Write(0);	// clear phase
	DDS1_ControlPhase3_Write(0);	// clear phase
    
    DDS1_ControlDelay1_Write(0);	// clear phase delay

	DDS1_ControlStrobe_Write(1);	// clear phase
	DDS1_ControlStrobe_Write(0);	// 

	Fdiv= Fclock/16777216.0;	// frequency resolution at 2^24;
								// aroud 0.6Hz at 10MHz clock
}

//===========================================================================
void DDS1_SetFrequency( double freq )
{ long phase;
	
	DDS1_ControlStrobe_Write(0);	// ensure strobe to inactive

	//phase= (long)(2.0*freq/Fdiv);					// calculate phase
    phase= (long)(freq/Fdiv);

	DDS1_ControlPhase1_Write( phase&0xFF );		// write phase
	DDS1_ControlPhase2_Write((phase>> 8)&0xFF );
	DDS1_ControlPhase3_Write((phase>>16)&0xFF );
	
	DDS1_ControlStrobe_Write(1);	// load phase
	DDS1_ControlStrobe_Write(0);	// inactivate storobe 
}

//===========================================================================
void DDS1_SetDelay( uint8 Delay )
{
	DDS1_ControlStrobe_Write(0);	// ensure strobe to inactive
    
	DDS1_ControlDelay1_Write(Delay & 0xFF);		// write phase delay
	
	DDS1_ControlStrobe_Write(1);	// load phase
	DDS1_ControlStrobe_Write(0);	// inactivate strobe 
}

//===========================================================================
/* [] END OF FILE */
