// ============================================================================
// = DDS_DIG32.c
// =

#include <DDS_DIG32_1_DDS_DIG32.h>

static double Fdiv;		                            // = frequency resolution of one bit

// ============================================================================
void DDS_DIG32_1_Start(double Fclock)
{
	DDS_DIG32_1_ControlStrobe_Write(0);        // = ensure strobe to inactive
	
	DDS_DIG32_1_ControlPhase1_Write(0);	    // = clear phase
	DDS_DIG32_1_ControlPhase2_Write(0);	    // = clear phase
	DDS_DIG32_1_ControlPhase3_Write(0);	    // = clear phase
	DDS_DIG32_1_ControlPhase4_Write(0);	    // = clear phase
    
	DDS_DIG32_1_ControlStrobe_Write(1);	    // = clear phase
	DDS_DIG32_1_ControlStrobe_Write(0);	    // = restore strobe to inactive

	Fdiv = Fclock / 4294967296.0;	                // = frequency resolution at 2^32;
    // = around 0.00232830 Hz at 10 MHz clock
    // = around 0.01396983 Hz at 60 MHz clock
}

// ============================================================================
void DDS_DIG32_1_SetFrequency(double freq)
{ 
    uint32 phase;
	
	phase = (uint32)(2.0 * freq / Fdiv);			// = calculate phase

	DDS_DIG32_1_ControlPhase1_Write( phase     &0xFF);		// write phase
	DDS_DIG32_1_ControlPhase2_Write((phase>> 8)&0xFF);
	DDS_DIG32_1_ControlPhase3_Write((phase>>16)&0xFF);
	DDS_DIG32_1_ControlPhase4_Write((phase>>24)&0xFF);
    
	DDS_DIG32_1_ControlStrobe_Write(1);	    // = load phase
	DDS_DIG32_1_ControlStrobe_Write(0);	    // = inactivate storobe 
}

// ============================================================================
