//////////////////////////////////////////////////////////////////////////////////
#include <IQ_DDS1_header.h>
static  double Fdiv;		// frequency resolution of one bit
//////////////////////////////////////////////////////////////////////////////////
void IQ_DDS1_Start( double Fclock )
{
	IQ_DDS1_ControlStrobe_Write(0);	// ensure storobe to inactive
	
	IQ_DDS1_ControlPhase1_Write(0);	// clear phase
	IQ_DDS1_ControlPhase2_Write(0);	// clear phase
	IQ_DDS1_ControlPhase3_Write(0);	// clear phase

	IQ_DDS1_ControlStrobe_Write(1);	// clear phase
	IQ_DDS1_ControlStrobe_Write(0);	// 

	Fdiv= Fclock/16777216.0;	// frequency resolution at 2^24;
								// aroud 0.6Hz at 10MHz clock
}

//////////////////////////////////////////////////////////////////////////////////
void IQ_DDS1_SetFrequency( double freq )
{ long phase;
	
	IQ_DDS1_ControlStrobe_Write(0);	// ensure storobe to inactive

	 phase= (long)(2.0*freq/Fdiv);					// calculate phase

	IQ_DDS1_ControlPhase1_Write( phase&0xFF );		// write phase
	IQ_DDS1_ControlPhase2_Write((phase>> 8)&0xFF );
	IQ_DDS1_ControlPhase3_Write((phase>>16)&0xFF );
	
	IQ_DDS1_ControlStrobe_Write(1);	// load phase
	IQ_DDS1_ControlStrobe_Write(0);	// inactivate storobe 
}

//////////////////////////////////////////////////////////////////////////////////
/* [] END OF FILE */
