/*******************************************************************************
* File Name: OE2.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_OE2_H) /* Pins OE2_H */
#define CY_PINS_OE2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "OE2_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 OE2__PORT == 15 && ((OE2__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    OE2_Write(uint8 value) ;
void    OE2_SetDriveMode(uint8 mode) ;
uint8   OE2_ReadDataReg(void) ;
uint8   OE2_Read(void) ;
uint8   OE2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define OE2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define OE2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define OE2_DM_RES_UP          PIN_DM_RES_UP
#define OE2_DM_RES_DWN         PIN_DM_RES_DWN
#define OE2_DM_OD_LO           PIN_DM_OD_LO
#define OE2_DM_OD_HI           PIN_DM_OD_HI
#define OE2_DM_STRONG          PIN_DM_STRONG
#define OE2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define OE2_MASK               OE2__MASK
#define OE2_SHIFT              OE2__SHIFT
#define OE2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OE2_PS                     (* (reg8 *) OE2__PS)
/* Data Register */
#define OE2_DR                     (* (reg8 *) OE2__DR)
/* Port Number */
#define OE2_PRT_NUM                (* (reg8 *) OE2__PRT) 
/* Connect to Analog Globals */                                                  
#define OE2_AG                     (* (reg8 *) OE2__AG)                       
/* Analog MUX bux enable */
#define OE2_AMUX                   (* (reg8 *) OE2__AMUX) 
/* Bidirectional Enable */                                                        
#define OE2_BIE                    (* (reg8 *) OE2__BIE)
/* Bit-mask for Aliased Register Access */
#define OE2_BIT_MASK               (* (reg8 *) OE2__BIT_MASK)
/* Bypass Enable */
#define OE2_BYP                    (* (reg8 *) OE2__BYP)
/* Port wide control signals */                                                   
#define OE2_CTL                    (* (reg8 *) OE2__CTL)
/* Drive Modes */
#define OE2_DM0                    (* (reg8 *) OE2__DM0) 
#define OE2_DM1                    (* (reg8 *) OE2__DM1)
#define OE2_DM2                    (* (reg8 *) OE2__DM2) 
/* Input Buffer Disable Override */
#define OE2_INP_DIS                (* (reg8 *) OE2__INP_DIS)
/* LCD Common or Segment Drive */
#define OE2_LCD_COM_SEG            (* (reg8 *) OE2__LCD_COM_SEG)
/* Enable Segment LCD */
#define OE2_LCD_EN                 (* (reg8 *) OE2__LCD_EN)
/* Slew Rate Control */
#define OE2_SLW                    (* (reg8 *) OE2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define OE2_PRTDSI__CAPS_SEL       (* (reg8 *) OE2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define OE2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) OE2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define OE2_PRTDSI__OE_SEL0        (* (reg8 *) OE2__PRTDSI__OE_SEL0) 
#define OE2_PRTDSI__OE_SEL1        (* (reg8 *) OE2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define OE2_PRTDSI__OUT_SEL0       (* (reg8 *) OE2__PRTDSI__OUT_SEL0) 
#define OE2_PRTDSI__OUT_SEL1       (* (reg8 *) OE2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define OE2_PRTDSI__SYNC_OUT       (* (reg8 *) OE2__PRTDSI__SYNC_OUT) 


#if defined(OE2__INTSTAT)  /* Interrupt Registers */

    #define OE2_INTSTAT                (* (reg8 *) OE2__INTSTAT)
    #define OE2_SNAP                   (* (reg8 *) OE2__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_OE2_H */


/* [] END OF FILE */
