/*******************************************************************************
* File Name: Tp0.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Tp0_H) /* Pins Tp0_H */
#define CY_PINS_Tp0_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Tp0_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Tp0__PORT == 15 && ((Tp0__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Tp0_Write(uint8 value) ;
void    Tp0_SetDriveMode(uint8 mode) ;
uint8   Tp0_ReadDataReg(void) ;
uint8   Tp0_Read(void) ;
uint8   Tp0_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Tp0_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Tp0_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Tp0_DM_RES_UP          PIN_DM_RES_UP
#define Tp0_DM_RES_DWN         PIN_DM_RES_DWN
#define Tp0_DM_OD_LO           PIN_DM_OD_LO
#define Tp0_DM_OD_HI           PIN_DM_OD_HI
#define Tp0_DM_STRONG          PIN_DM_STRONG
#define Tp0_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Tp0_MASK               Tp0__MASK
#define Tp0_SHIFT              Tp0__SHIFT
#define Tp0_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Tp0_PS                     (* (reg8 *) Tp0__PS)
/* Data Register */
#define Tp0_DR                     (* (reg8 *) Tp0__DR)
/* Port Number */
#define Tp0_PRT_NUM                (* (reg8 *) Tp0__PRT) 
/* Connect to Analog Globals */                                                  
#define Tp0_AG                     (* (reg8 *) Tp0__AG)                       
/* Analog MUX bux enable */
#define Tp0_AMUX                   (* (reg8 *) Tp0__AMUX) 
/* Bidirectional Enable */                                                        
#define Tp0_BIE                    (* (reg8 *) Tp0__BIE)
/* Bit-mask for Aliased Register Access */
#define Tp0_BIT_MASK               (* (reg8 *) Tp0__BIT_MASK)
/* Bypass Enable */
#define Tp0_BYP                    (* (reg8 *) Tp0__BYP)
/* Port wide control signals */                                                   
#define Tp0_CTL                    (* (reg8 *) Tp0__CTL)
/* Drive Modes */
#define Tp0_DM0                    (* (reg8 *) Tp0__DM0) 
#define Tp0_DM1                    (* (reg8 *) Tp0__DM1)
#define Tp0_DM2                    (* (reg8 *) Tp0__DM2) 
/* Input Buffer Disable Override */
#define Tp0_INP_DIS                (* (reg8 *) Tp0__INP_DIS)
/* LCD Common or Segment Drive */
#define Tp0_LCD_COM_SEG            (* (reg8 *) Tp0__LCD_COM_SEG)
/* Enable Segment LCD */
#define Tp0_LCD_EN                 (* (reg8 *) Tp0__LCD_EN)
/* Slew Rate Control */
#define Tp0_SLW                    (* (reg8 *) Tp0__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Tp0_PRTDSI__CAPS_SEL       (* (reg8 *) Tp0__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Tp0_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Tp0__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Tp0_PRTDSI__OE_SEL0        (* (reg8 *) Tp0__PRTDSI__OE_SEL0) 
#define Tp0_PRTDSI__OE_SEL1        (* (reg8 *) Tp0__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Tp0_PRTDSI__OUT_SEL0       (* (reg8 *) Tp0__PRTDSI__OUT_SEL0) 
#define Tp0_PRTDSI__OUT_SEL1       (* (reg8 *) Tp0__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Tp0_PRTDSI__SYNC_OUT       (* (reg8 *) Tp0__PRTDSI__SYNC_OUT) 


#if defined(Tp0__INTSTAT)  /* Interrupt Registers */

    #define Tp0_INTSTAT                (* (reg8 *) Tp0__INTSTAT)
    #define Tp0_SNAP                   (* (reg8 *) Tp0__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Tp0_H */


/* [] END OF FILE */
