/*******************************************************************************
* File Name: isr2.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isr2_H)
#define CY_ISR_isr2_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isr2_Start(void);
void isr2_StartEx(cyisraddress address);
void isr2_Stop(void);

CY_ISR_PROTO(isr2_Interrupt);

void isr2_SetVector(cyisraddress address);
cyisraddress isr2_GetVector(void);

void isr2_SetPriority(uint8 priority);
uint8 isr2_GetPriority(void);

void isr2_Enable(void);
uint8 isr2_GetState(void);
void isr2_Disable(void);

void isr2_SetPending(void);
void isr2_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isr2 ISR. */
#define isr2_INTC_VECTOR            ((reg32 *) isr2__INTC_VECT)

/* Address of the isr2 ISR priority. */
#define isr2_INTC_PRIOR             ((reg8 *) isr2__INTC_PRIOR_REG)

/* Priority of the isr2 interrupt. */
#define isr2_INTC_PRIOR_NUMBER      isr2__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isr2 interrupt. */
#define isr2_INTC_SET_EN            ((reg32 *) isr2__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isr2 interrupt. */
#define isr2_INTC_CLR_EN            ((reg32 *) isr2__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isr2 interrupt state to pending. */
#define isr2_INTC_SET_PD            ((reg32 *) isr2__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isr2 interrupt. */
#define isr2_INTC_CLR_PD            ((reg32 *) isr2__INTC_CLR_PD_REG)


#endif /* CY_ISR_isr2_H */


/* [] END OF FILE */
