////////////////////////////////////////////////////////////////////////////////
//`#start header` -- edit after this line, do not edit this line
`include "cypress.v"
//`#end` -- edit above this line, do not edit this line
//`#start body` -- edit after this line, do not edit this line
////////////////////////////////////////////////////////////////////////////////
module IQ_Core( Ph1, Ph2, Ph3, PhD, strobe, clock, I, Q );

  input[7:0]  Ph1;		// phase input [7:0]
  input[7:0]  Ph2;		// phase input [15:8]
  input[7:0]  Ph3;		// phase input [23:16]
  input[7:0]  PhD;     // phase delay 8bit

  input       strobe;	// strobe for phase
  input       clock;	// clock 
  output	  I;		// I phase pulse
  output	  Q;		// Q phase pulse

  reg[23:0]  Acc;		// accumulator
  reg[23:0]  Acc2;		// 
  reg[23:0]  Phase;		// phase register
  reg[23:0]  Delay;		// 
//  reg[7:0]   Delay;     //
  reg        I;			// I bit
  reg        Q;			// Q bit


//==============================================================================
  always @(posedge strobe) begin // SET PHASE STEP
	Phase= { Ph3,Ph2,Ph1 };		// latch phase value 
    Delay= {PhD, 8'b0, 8'b0};   // latch phase shift 
  end


//==============================================================================
  always @(posedge clock) begin	// CLOCK
  
    Acc = Acc+Phase;		// accumulate   
    Acc2= Acc+Delay;	    // add phase shift

    I = Acc[23:23];		    // I output
    Q = Acc2[23:23];		// Q output - phase shifted

  end

endmodule
////////////////////////////////////////////////////////////////////////////////
//`#end` -- edit above this line, do not edit this line
//`#start footer` -- edit after this line, do not edit this line
//`#end` -- edit above this line, do not edit this line
////////////////////////////////////////////////////////////////////////////////
//[] END OF FILE

