#include <`$INSTANCE_NAME`.h>

static  double Fdiv;		// frequency resolution of one bit

//===========================================================================
void `$INSTANCE_NAME`_Start( double Fclock )
{
	`$INSTANCE_NAME`_ControlStrobe_Write(0);	// ensure strobe to inactive
	
	`$INSTANCE_NAME`_ControlPhase1_Write(0);	// clear phase
	`$INSTANCE_NAME`_ControlPhase2_Write(0);	// clear phase
	`$INSTANCE_NAME`_ControlPhase3_Write(0);	// clear phase
    
    `$INSTANCE_NAME`_ControlDelay1_Write(0);	// clear phase delay

	`$INSTANCE_NAME`_ControlStrobe_Write(1);	// clear phase
	`$INSTANCE_NAME`_ControlStrobe_Write(0);	// 

	Fdiv= Fclock/16777216.0;	// frequency resolution at 2^24;
								// aroud 0.6Hz at 10MHz clock
}

//===========================================================================
void `$INSTANCE_NAME`_SetFrequency( double freq )
{ long phase;
	
	`$INSTANCE_NAME`_ControlStrobe_Write(0);	// ensure strobe to inactive

	//phase= (long)(2.0*freq/Fdiv);					// calculate phase
    phase= (long)(freq/Fdiv);

	`$INSTANCE_NAME`_ControlPhase1_Write( phase&0xFF );		// write phase
	`$INSTANCE_NAME`_ControlPhase2_Write((phase>> 8)&0xFF );
	`$INSTANCE_NAME`_ControlPhase3_Write((phase>>16)&0xFF );
	
	`$INSTANCE_NAME`_ControlStrobe_Write(1);	// load phase
	`$INSTANCE_NAME`_ControlStrobe_Write(0);	// inactivate storobe 
}

//===========================================================================
void `$INSTANCE_NAME`_SetDelay( uint8 Delay )
{
	`$INSTANCE_NAME`_ControlStrobe_Write(0);	// ensure strobe to inactive
    
	`$INSTANCE_NAME`_ControlDelay1_Write(Delay & 0xFF);		// write phase delay
	
	`$INSTANCE_NAME`_ControlStrobe_Write(1);	// load phase
	`$INSTANCE_NAME`_ControlStrobe_Write(0);	// inactivate strobe 
}

//===========================================================================
/* [] END OF FILE */
