/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
//#include <device.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#if defined (__GNUC__)
    /* Add an explicit reference to the floating point printf library */
    /* to allow the usage of floating point conversion specifiers. */
    /* This is not linked in by default with the newlib-nano library. */
    asm (".global _printf_float");
#endif


static volatile CYBIT isr2_flag = 0; // semaphore between ISR2 and main()
static volatile uint8 SW_result; // semaphore between ISR and main() 
CY_ISR(isr2_ISR)
{
    isr2_flag = 1; //process interrupt;
}

static volatile CYBIT flag_Timer = 0 ; //semaphore   
//CY_ISR_PROTO(isr_Timer);
CY_ISR(isr_Timer) // ISR Timer 
{
    flag_Timer = 1;
}

int main()
{
    int16 counter = 0;
    double Freq = 32768.00; //DDS frequency
    uint8 Delay =0; //phase delay
    int16 increment = 1;

//    CyGlobalIntEnable; //enable global interrupts.

    
    //24bit DDS provides 1.43 Hz resolution from 24 MHz DDS frequency
    //DDS1_Start(24.0e6);
    DDS1_Start(23997000);      // = set DDS clock to actual crystal (IMO/BUS?) frequency (Hz)


    DDS1_SetFrequency(Freq);   // = set frequency
//    CyDelayCycles(1);
    DDS1_SetDelay(Delay);   // = set phase delay

      
    for(;;)
    {
        //move phase back-forward, phase value 255 corresponds 360deg    
        if (counter >=255) increment = -1; else
        if (counter <= 0) increment = 1;
            
        counter = counter+increment;
        Delay = counter;
            
        DDS1_SetDelay(Delay);// [0-255] <-> [0-2xPI]
            
        CyDelay(5);
        
    }

}



/* [] END OF FILE */


